Bug 166730 - non root users should be able to use the display cmds
non root users should be able to use the display cmds
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Petr Rockai
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-24 18:53 EDT by Corey Marthaler
Modified: 2008-07-24 16:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0776
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-08-24 18:53:24 EDT
Or if not, at least the errors should be more clean

Description of problem:
[testmonkey@link-13 root]$ lvdisplay
  /etc/lvm/.cache: open failed: Permission denied
  No volume groups found
  /etc/lvm/.cache: fopen failed: Permission denied
[testmonkey@link-13 root]$ lvs
  /etc/lvm/.cache: open failed: Permission denied
  No volume groups found
  /etc/lvm/.cache: fopen failed: Permission denied
Comment 1 Alasdair Kergon 2005-08-30 12:08:39 EDT
Yeah - need to think a bit about this one: there are some circumstances where
it's useful for non-root users to be able to run the tools.  I'm not sure much
can be done though apart from displaying a warning message if run by a non-root
user.  [Useful if the user hasn't realised they aren't root and is puzzled why
everything's disappeared.]
Comment 2 Petr Rockai 2007-11-10 06:51:13 EST
In my opinion, this just needs a better diagnostic (ie, the warning Alasdair 
mentioned). As a non-root, you cannot meaningfully use fdisk nor find out much 
about partition layout either, so this would probably pose an information leak 
anyway. For the user-interesting bits, one usually uses "df". I can take care 
of that warning message.
Comment 4 Alasdair Kergon 2007-11-10 11:08:49 EST
Comment #2 needs clarification: there is a difference between things the kernel
requires you to be root to do, and things (like fdisk) that can be done as
non-root but are often restricted by filesystem permissions.  Hence my
suggestion that we just print a simple general warning when run as root that
some functionality may be restricted.
Comment 7 Corey Marthaler 2008-06-09 11:20:11 EDT
Verified that there's now a warning message.
Comment 9 errata-xmlrpc 2008-07-24 16:07:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0776.html

Note You need to log in before you can comment on or make changes to this bug.